recipes

packages recipes for the <noname> package manager
Log | Files | Refs

Makefile.in (38243B)


      1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
      2 # @configure_input@
      3 
      4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
      5 
      6 # This Makefile.in is free software; the Free Software Foundation
      7 # gives unlimited permission to copy and/or distribute it,
      8 # with or without modifications, as long as this notice is preserved.
      9 
     10 # This program is distributed in the hope that it will be useful,
     11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
     12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
     13 # PARTICULAR PURPOSE.
     14 
     15 @SET_MAKE@
     16 
     17 VPATH = @srcdir@
     18 am__is_gnu_make = { \
     19   if test -z '$(MAKELEVEL)'; then \
     20     false; \
     21   elif test -n '$(MAKE_HOST)'; then \
     22     true; \
     23   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
     24     true; \
     25   else \
     26     false; \
     27   fi; \
     28 }
     29 am__make_running_with_option = \
     30   case $${target_option-} in \
     31       ?) ;; \
     32       *) echo "am__make_running_with_option: internal error: invalid" \
     33               "target option '$${target_option-}' specified" >&2; \
     34          exit 1;; \
     35   esac; \
     36   has_opt=no; \
     37   sane_makeflags=$$MAKEFLAGS; \
     38   if $(am__is_gnu_make); then \
     39     sane_makeflags=$$MFLAGS; \
     40   else \
     41     case $$MAKEFLAGS in \
     42       *\\[\ \	]*) \
     43         bs=\\; \
     44         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
     45           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
     46     esac; \
     47   fi; \
     48   skip_next=no; \
     49   strip_trailopt () \
     50   { \
     51     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
     52   }; \
     53   for flg in $$sane_makeflags; do \
     54     test $$skip_next = yes && { skip_next=no; continue; }; \
     55     case $$flg in \
     56       *=*|--*) continue;; \
     57         -*I) strip_trailopt 'I'; skip_next=yes;; \
     58       -*I?*) strip_trailopt 'I';; \
     59         -*O) strip_trailopt 'O'; skip_next=yes;; \
     60       -*O?*) strip_trailopt 'O';; \
     61         -*l) strip_trailopt 'l'; skip_next=yes;; \
     62       -*l?*) strip_trailopt 'l';; \
     63       -[dEDm]) skip_next=yes;; \
     64       -[JT]) skip_next=yes;; \
     65     esac; \
     66     case $$flg in \
     67       *$$target_option*) has_opt=yes; break;; \
     68     esac; \
     69   done; \
     70   test $$has_opt = yes
     71 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
     72 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
     73 pkgdatadir = $(datadir)/@DEFAGE@
     74 pkgincludedir = $(includedir)/@DEFAGE@
     75 pkglibdir = $(libdir)/@DEFAGE@
     76 pkglibexecdir = $(libexecdir)/@DEFAGE@
     77 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
     78 install_sh_DATA = $(install_sh) -c -m 644
     79 install_sh_PROGRAM = $(install_sh) -c
     80 install_sh_SCRIPT = $(install_sh) -c
     81 INSTALL_HEADER = $(INSTALL_DATA)
     82 transform = $(program_transform_name)
     83 NORMAL_INSTALL = :
     84 PRE_INSTALL = :
     85 POST_INSTALL = :
     86 NORMAL_UNINSTALL = :
     87 PRE_UNINSTALL = :
     88 POST_UNINSTALL = :
     89 build_triplet = @build@
     90 host_triplet = @host@
     91 target_triplet = @target@
     92 TESTS = test_compat$(EXEEXT) test_config-file$(EXEEXT) \
     93 	test_connection$(EXEEXT) test_onion$(EXEEXT) \
     94 	test_socks5$(EXEEXT) test_utils$(EXEEXT)
     95 noinst_PROGRAMS = test_onion$(EXEEXT) test_connection$(EXEEXT) \
     96 	test_utils$(EXEEXT) test_config-file$(EXEEXT) \
     97 	test_socks5$(EXEEXT) test_compat$(EXEEXT)
     98 subdir = tests/unit
     99 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
    100 am__aclocal_m4_deps = $(top_srcdir)/config/ax_check_compile_flag.m4 \
    101 	$(top_srcdir)/config/ax_check_link_flag.m4 \
    102 	$(top_srcdir)/config/libtool.m4 \
    103 	$(top_srcdir)/config/ltoptions.m4 \
    104 	$(top_srcdir)/config/ltsugar.m4 \
    105 	$(top_srcdir)/config/ltversion.m4 \
    106 	$(top_srcdir)/config/lt~obsolete.m4 $(top_srcdir)/configure.ac
    107 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
    108 	$(ACLOCAL_M4)
    109 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
    110 mkinstalldirs = $(install_sh) -d
    111 CONFIG_HEADER = $(top_builddir)/include/config.h
    112 CONFIG_CLEAN_FILES =
    113 CONFIG_CLEAN_VPATH_FILES =
    114 PROGRAMS = $(noinst_PROGRAMS)
    115 am_test_compat_OBJECTS = test_compat.$(OBJEXT)
    116 test_compat_OBJECTS = $(am_test_compat_OBJECTS)
    117 test_compat_DEPENDENCIES = $(LIBTAP) $(LIBCOMMON) $(LIBTORSOCKS)
    118 AM_V_lt = $(am__v_lt_@AM_V@)
    119 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
    120 am__v_lt_0 = --silent
    121 am__v_lt_1 = 
    122 am_test_config_file_OBJECTS = test_config-file.$(OBJEXT)
    123 test_config_file_OBJECTS = $(am_test_config_file_OBJECTS)
    124 test_config_file_DEPENDENCIES = $(LIBTAP) $(LIBCOMMON)
    125 am_test_connection_OBJECTS = test_connection.$(OBJEXT)
    126 test_connection_OBJECTS = $(am_test_connection_OBJECTS)
    127 test_connection_DEPENDENCIES = $(LIBTAP) $(LIBCOMMON)
    128 am_test_onion_OBJECTS = test_onion.$(OBJEXT)
    129 test_onion_OBJECTS = $(am_test_onion_OBJECTS)
    130 test_onion_DEPENDENCIES = $(LIBTAP) $(LIBCOMMON)
    131 am_test_socks5_OBJECTS = test_socks5.$(OBJEXT)
    132 test_socks5_OBJECTS = $(am_test_socks5_OBJECTS)
    133 test_socks5_DEPENDENCIES = $(LIBTAP) $(LIBCOMMON) $(LIBTORSOCKS)
    134 am_test_utils_OBJECTS = test_utils.$(OBJEXT)
    135 test_utils_OBJECTS = $(am_test_utils_OBJECTS)
    136 test_utils_DEPENDENCIES = $(LIBTAP) $(LIBCOMMON)
    137 AM_V_P = $(am__v_P_@AM_V@)
    138 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
    139 am__v_P_0 = false
    140 am__v_P_1 = :
    141 AM_V_GEN = $(am__v_GEN_@AM_V@)
    142 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
    143 am__v_GEN_0 = @echo "  GEN     " $@;
    144 am__v_GEN_1 = 
    145 AM_V_at = $(am__v_at_@AM_V@)
    146 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
    147 am__v_at_0 = @
    148 am__v_at_1 = 
    149 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
    150 am__maybe_remake_depfiles = depfiles
    151 am__depfiles_remade = ./$(DEPDIR)/test_compat.Po \
    152 	./$(DEPDIR)/test_config-file.Po ./$(DEPDIR)/test_connection.Po \
    153 	./$(DEPDIR)/test_onion.Po ./$(DEPDIR)/test_socks5.Po \
    154 	./$(DEPDIR)/test_utils.Po
    155 am__mv = mv -f
    156 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
    157 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
    158 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
    159 	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
    160 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
    161 	$(AM_CFLAGS) $(CFLAGS)
    162 AM_V_CC = $(am__v_CC_@AM_V@)
    163 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
    164 am__v_CC_0 = @echo "  CC      " $@;
    165 am__v_CC_1 = 
    166 CCLD = $(CC)
    167 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
    168 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
    169 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
    170 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
    171 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
    172 am__v_CCLD_0 = @echo "  CCLD    " $@;
    173 am__v_CCLD_1 = 
    174 SOURCES = $(test_compat_SOURCES) $(test_config_file_SOURCES) \
    175 	$(test_connection_SOURCES) $(test_onion_SOURCES) \
    176 	$(test_socks5_SOURCES) $(test_utils_SOURCES)
    177 DIST_SOURCES = $(test_compat_SOURCES) $(test_config_file_SOURCES) \
    178 	$(test_connection_SOURCES) $(test_onion_SOURCES) \
    179 	$(test_socks5_SOURCES) $(test_utils_SOURCES)
    180 am__can_run_installinfo = \
    181   case $$AM_UPDATE_INFO_DIR in \
    182     n|no|NO) false;; \
    183     *) (install-info --version) >/dev/null 2>&1;; \
    184   esac
    185 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
    186 # Read a list of newline-separated strings from the standard input,
    187 # and print each of them once, without duplicates.  Input order is
    188 # *not* preserved.
    189 am__uniquify_input = $(AWK) '\
    190   BEGIN { nonempty = 0; } \
    191   { items[$$0] = 1; nonempty = 1; } \
    192   END { if (nonempty) { for (i in items) print i; }; } \
    193 '
    194 # Make sure the list of sources is unique.  This is necessary because,
    195 # e.g., the same source file might be shared among _SOURCES variables
    196 # for different programs/libraries.
    197 am__define_uniq_tagged_files = \
    198   list='$(am__tagged_files)'; \
    199   unique=`for i in $$list; do \
    200     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    201   done | $(am__uniquify_input)`
    202 ETAGS = etags
    203 CTAGS = ctags
    204 am__tty_colors_dummy = \
    205   mgn= red= grn= lgn= blu= brg= std=; \
    206   am__color_tests=no
    207 am__tty_colors = { \
    208   $(am__tty_colors_dummy); \
    209   if test "X$(AM_COLOR_TESTS)" = Xno; then \
    210     am__color_tests=no; \
    211   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    212     am__color_tests=yes; \
    213   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    214     am__color_tests=yes; \
    215   fi; \
    216   if test $$am__color_tests = yes; then \
    217     red=''; \
    218     grn=''; \
    219     lgn=''; \
    220     blu=''; \
    221     mgn=''; \
    222     brg=''; \
    223     std=''; \
    224   fi; \
    225 }
    226 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
    227 am__vpath_adj = case $$p in \
    228     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    229     *) f=$$p;; \
    230   esac;
    231 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
    232 am__install_max = 40
    233 am__nobase_strip_setup = \
    234   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
    235 am__nobase_strip = \
    236   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
    237 am__nobase_list = $(am__nobase_strip_setup); \
    238   for p in $$list; do echo "$$p $$p"; done | \
    239   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
    240   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    241     if (++n[$$2] == $(am__install_max)) \
    242       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    243     END { for (dir in files) print dir, files[dir] }'
    244 am__base_list = \
    245   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
    246   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
    247 am__uninstall_files_from_dir = { \
    248   test -z "$$files" \
    249     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    250     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
    251          $(am__cd) "$$dir" && rm -f $$files; }; \
    252   }
    253 am__recheck_rx = ^[ 	]*:recheck:[ 	]*
    254 am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
    255 am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
    256 # A command that, given a newline-separated list of test names on the
    257 # standard input, print the name of the tests that are to be re-run
    258 # upon "make recheck".
    259 am__list_recheck_tests = $(AWK) '{ \
    260   recheck = 1; \
    261   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    262     { \
    263       if (rc < 0) \
    264         { \
    265           if ((getline line2 < ($$0 ".log")) < 0) \
    266 	    recheck = 0; \
    267           break; \
    268         } \
    269       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
    270         { \
    271           recheck = 0; \
    272           break; \
    273         } \
    274       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
    275         { \
    276           break; \
    277         } \
    278     }; \
    279   if (recheck) \
    280     print $$0; \
    281   close ($$0 ".trs"); \
    282   close ($$0 ".log"); \
    283 }'
    284 # A command that, given a newline-separated list of test names on the
    285 # standard input, create the global log from their .trs and .log files.
    286 am__create_global_log = $(AWK) ' \
    287 function fatal(msg) \
    288 { \
    289   print "fatal: making $@: " msg | "cat >&2"; \
    290   exit 1; \
    291 } \
    292 function rst_section(header) \
    293 { \
    294   print header; \
    295   len = length(header); \
    296   for (i = 1; i <= len; i = i + 1) \
    297     printf "="; \
    298   printf "\n\n"; \
    299 } \
    300 { \
    301   copy_in_global_log = 1; \
    302   global_test_result = "RUN"; \
    303   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    304     { \
    305       if (rc < 0) \
    306          fatal("failed to read from " $$0 ".trs"); \
    307       if (line ~ /$(am__global_test_result_rx)/) \
    308         { \
    309           sub("$(am__global_test_result_rx)", "", line); \
    310           sub("[ 	]*$$", "", line); \
    311           global_test_result = line; \
    312         } \
    313       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
    314         copy_in_global_log = 0; \
    315     }; \
    316   if (copy_in_global_log) \
    317     { \
    318       rst_section(global_test_result ": " $$0); \
    319       while ((rc = (getline line < ($$0 ".log"))) != 0) \
    320       { \
    321         if (rc < 0) \
    322           fatal("failed to read from " $$0 ".log"); \
    323         print line; \
    324       }; \
    325       printf "\n"; \
    326     }; \
    327   close ($$0 ".trs"); \
    328   close ($$0 ".log"); \
    329 }'
    330 # Restructured Text title.
    331 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
    332 # Solaris 10 'make', and several other traditional 'make' implementations,
    333 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
    334 # by disabling -e (using the XSI extension "set +e") if it's set.
    335 am__sh_e_setup = case $$- in *e*) set +e;; esac
    336 # Default flags passed to test drivers.
    337 am__common_driver_flags = \
    338   --color-tests "$$am__color_tests" \
    339   --enable-hard-errors "$$am__enable_hard_errors" \
    340   --expect-failure "$$am__expect_failure"
    341 # To be inserted before the command running the test.  Creates the
    342 # directory for the log if needed.  Stores in $dir the directory
    343 # containing $f, in $tst the test, in $log the log.  Executes the
    344 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
    345 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
    346 # will run the test scripts (or their associated LOG_COMPILER, if
    347 # thy have one).
    348 am__check_pre = \
    349 $(am__sh_e_setup);					\
    350 $(am__vpath_adj_setup) $(am__vpath_adj)			\
    351 $(am__tty_colors);					\
    352 srcdir=$(srcdir); export srcdir;			\
    353 case "$@" in						\
    354   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
    355     *) am__odir=.;; 					\
    356 esac;							\
    357 test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
    358   || $(MKDIR_P) "$$am__odir" || exit $$?;		\
    359 if test -f "./$$f"; then dir=./;			\
    360 elif test -f "$$f"; then dir=;				\
    361 else dir="$(srcdir)/"; fi;				\
    362 tst=$$dir$$f; log='$@'; 				\
    363 if test -n '$(DISABLE_HARD_ERRORS)'; then		\
    364   am__enable_hard_errors=no; 				\
    365 else							\
    366   am__enable_hard_errors=yes; 				\
    367 fi; 							\
    368 case " $(XFAIL_TESTS) " in				\
    369   *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
    370     am__expect_failure=yes;;				\
    371   *)							\
    372     am__expect_failure=no;;				\
    373 esac; 							\
    374 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
    375 # A shell command to get the names of the tests scripts with any registered
    376 # extension removed (i.e., equivalently, the names of the test logs, with
    377 # the '.log' extension removed).  The result is saved in the shell variable
    378 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
    379 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
    380 # since that might cause problem with VPATH rewrites for suffix-less tests.
    381 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
    382 am__set_TESTS_bases = \
    383   bases='$(TEST_LOGS)'; \
    384   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
    385   bases=`echo $$bases`
    386 RECHECK_LOGS = $(TEST_LOGS)
    387 AM_RECURSIVE_TARGETS = check recheck
    388 TEST_SUITE_LOG = test-suite.log
    389 TEST_EXTENSIONS = @EXEEXT@ .test
    390 LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
    391 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
    392 am__set_b = \
    393   case '$@' in \
    394     */*) \
    395       case '$*' in \
    396         */*) b='$*';; \
    397           *) b=`echo '$@' | sed 's/\.log$$//'`; \
    398        esac;; \
    399     *) \
    400       b='$*';; \
    401   esac
    402 am__test_logs1 = $(TESTS:=.log)
    403 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
    404 TEST_LOGS = $(am__test_logs2:.test.log=.log)
    405 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
    406 	$(TEST_LOG_FLAGS)
    407 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/config/depcomp \
    408 	$(top_srcdir)/config/test-driver
    409 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
    410 ACLOCAL = @ACLOCAL@
    411 AMTAR = @AMTAR@
    412 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
    413 AR = @AR@
    414 AUTOCONF = @AUTOCONF@
    415 AUTOHEADER = @AUTOHEADER@
    416 AUTOMAKE = @AUTOMAKE@
    417 AWK = @AWK@
    418 CC = @CC@
    419 CCDEPMODE = @CCDEPMODE@
    420 CFLAGS = @CFLAGS@
    421 CONFDIR = @CONFDIR@
    422 CPP = @CPP@
    423 CPPFLAGS = @CPPFLAGS@
    424 CYGPATH_W = @CYGPATH_W@
    425 DEFAULT_INCLUDES = @DEFAULT_INCLUDES@
    426 DEFS = @DEFS@
    427 DEPDIR = @DEPDIR@
    428 DLLTOOL = @DLLTOOL@
    429 DSYMUTIL = @DSYMUTIL@
    430 DUMPBIN = @DUMPBIN@
    431 ECHO_C = @ECHO_C@
    432 ECHO_N = @ECHO_N@
    433 ECHO_T = @ECHO_T@
    434 EGREP = @EGREP@
    435 EXEEXT = @EXEEXT@
    436 FGREP = @FGREP@
    437 GREP = @GREP@
    438 INSTALL = @INSTALL@
    439 INSTALL_DATA = @INSTALL_DATA@
    440 INSTALL_PROGRAM = @INSTALL_PROGRAM@
    441 INSTALL_SCRIPT = @INSTALL_SCRIPT@
    442 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
    443 LD = @LD@
    444 LDFLAGS = @LDFLAGS@
    445 LDPRELOAD = @LDPRELOAD@
    446 LIBOBJS = @LIBOBJS@
    447 LIBS = @LIBS@
    448 LIBTOOL = @LIBTOOL@
    449 LIBTOOL_DEPS = @LIBTOOL_DEPS@
    450 LIPO = @LIPO@
    451 LN_S = @LN_S@
    452 LTLIBOBJS = @LTLIBOBJS@
    453 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
    454 MAKEINFO = @MAKEINFO@
    455 MANIFEST_TOOL = @MANIFEST_TOOL@
    456 MKDIR_P = @MKDIR_P@
    457 NM = @NM@
    458 NMEDIT = @NMEDIT@
    459 OBJDUMP = @OBJDUMP@
    460 OBJEXT = @OBJEXT@
    461 OTOOL = @OTOOL@
    462 OTOOL64 = @OTOOL64@
    463 DEFAGE = @DEFAGE@
    464 DEFAGE_BUGREPORT = @DEFAGE_BUGREPORT@
    465 DEFAGE_NAME = @DEFAGE_NAME@
    466 DEFAGE_STRING = @DEFAGE_STRING@
    467 DEFAGE_TARNAME = @DEFAGE_TARNAME@
    468 DEFAGE_URL = @DEFAGE_URL@
    469 DEFAGE_VERSION = @DEFAGE_VERSION@
    470 PATH_SEPARATOR = @PATH_SEPARATOR@
    471 RANLIB = @RANLIB@
    472 SED = @SED@
    473 SET_MAKE = @SET_MAKE@
    474 SHELL = @SHELL@
    475 SHLIB_EXT = @SHLIB_EXT@
    476 STRIP = @STRIP@
    477 TESTLDFLAGS = @TESTLDFLAGS@
    478 TORSOCKSLDFLAGS = @TORSOCKSLDFLAGS@
    479 VERSION = @VERSION@
    480 abs_builddir = @abs_builddir@
    481 abs_srcdir = @abs_srcdir@
    482 abs_top_builddir = @abs_top_builddir@
    483 abs_top_srcdir = @abs_top_srcdir@
    484 ac_ct_AR = @ac_ct_AR@
    485 ac_ct_CC = @ac_ct_CC@
    486 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
    487 am__include = @am__include@
    488 am__leading_dot = @am__leading_dot@
    489 am__quote = @am__quote@
    490 am__tar = @am__tar@
    491 am__untar = @am__untar@
    492 bindir = @bindir@
    493 build = @build@
    494 build_alias = @build_alias@
    495 build_cpu = @build_cpu@
    496 build_os = @build_os@
    497 build_vendor = @build_vendor@
    498 builddir = @builddir@
    499 datadir = @datadir@
    500 datarootdir = @datarootdir@
    501 docdir = @docdir@
    502 dvidir = @dvidir@
    503 exec_prefix = @exec_prefix@
    504 host = @host@
    505 host_alias = @host_alias@
    506 host_cpu = @host_cpu@
    507 host_os = @host_os@
    508 host_vendor = @host_vendor@
    509 htmldir = @htmldir@
    510 includedir = @includedir@
    511 infodir = @infodir@
    512 install_sh = @install_sh@
    513 libdir = @libdir@
    514 libexecdir = @libexecdir@
    515 localedir = @localedir@
    516 localstatedir = @localstatedir@
    517 mandir = @mandir@
    518 mkdir_p = @mkdir_p@
    519 oldincludedir = @oldincludedir@
    520 pdfdir = @pdfdir@
    521 prefix = @prefix@
    522 program_transform_name = @program_transform_name@
    523 psdir = @psdir@
    524 sbindir = @sbindir@
    525 sharedstatedir = @sharedstatedir@
    526 srcdir = @srcdir@
    527 sysconfdir = @sysconfdir@
    528 target = @target@
    529 target_alias = @target_alias@
    530 target_cpu = @target_cpu@
    531 target_os = @target_os@
    532 target_vendor = @target_vendor@
    533 top_build_prefix = @top_build_prefix@
    534 top_builddir = @top_builddir@
    535 top_srcdir = @top_srcdir@
    536 TAP_DRIVER = $(top_srcdir)/tests/tap-driver.sh
    537 TEST_LOG_DRIVER = env AM_TAP_AWK='$(AWK)' $(SHELL) $(TAP_DRIVER)
    538 AM_CFLAGS = -I$(top_srcdir)/include \
    539 			-I$(top_srcdir)/src \
    540 			-I$(top_srcdir)/tests/utils/ \
    541 			-I$(srcdir) \
    542 			-I$(top_srcdir)/src/lib \
    543 			-DTORSOCKS_FIXTURE_PATH=\"`pwd`/fixtures/\"
    544 
    545 LIBTAP = $(top_builddir)/tests/utils/tap/libtap.la
    546 LIBCOMMON = $(top_builddir)/src/common/libcommon.la
    547 LIBTORSOCKS = $(top_builddir)/src/lib/libtorsocks.la
    548 EXTRA_DIST = fixtures
    549 test_onion_SOURCES = test_onion.c
    550 test_onion_LDADD = $(LIBTAP) $(LIBCOMMON)
    551 test_connection_SOURCES = test_connection.c
    552 test_connection_LDADD = $(LIBTAP) $(LIBCOMMON)
    553 test_utils_SOURCES = test_utils.c
    554 test_utils_LDADD = $(LIBTAP) $(LIBCOMMON)
    555 test_config_file_SOURCES = test_config-file.c
    556 test_config_file_LDADD = $(LIBTAP) $(LIBCOMMON)
    557 test_socks5_SOURCES = test_socks5.c
    558 test_socks5_LDADD = $(LIBTAP) $(LIBCOMMON) $(LIBTORSOCKS)
    559 test_compat_SOURCES = test_compat.c
    560 test_compat_LDADD = $(LIBTAP) $(LIBCOMMON) $(LIBTORSOCKS)
    561 all: all-am
    562 
    563 .SUFFIXES:
    564 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
    565 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
    566 	@for dep in $?; do \
    567 	  case '$(am__configure_deps)' in \
    568 	    *$$dep*) \
    569 	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
    570 	        && { if test -f $@; then exit 0; else break; fi; }; \
    571 	      exit 1;; \
    572 	  esac; \
    573 	done; \
    574 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign tests/unit/Makefile'; \
    575 	$(am__cd) $(top_srcdir) && \
    576 	  $(AUTOMAKE) --foreign tests/unit/Makefile
    577 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
    578 	@case '$?' in \
    579 	  *config.status*) \
    580 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
    581 	  *) \
    582 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
    583 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
    584 	esac;
    585 
    586 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
    587 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    588 
    589 $(top_srcdir)/configure:  $(am__configure_deps)
    590 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    591 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
    592 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
    593 $(am__aclocal_m4_deps):
    594 
    595 clean-noinstPROGRAMS:
    596 	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
    597 	echo " rm -f" $$list; \
    598 	rm -f $$list || exit $$?; \
    599 	test -n "$(EXEEXT)" || exit 0; \
    600 	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
    601 	echo " rm -f" $$list; \
    602 	rm -f $$list
    603 
    604 test_compat$(EXEEXT): $(test_compat_OBJECTS) $(test_compat_DEPENDENCIES) $(EXTRA_test_compat_DEPENDENCIES) 
    605 	@rm -f test_compat$(EXEEXT)
    606 	$(AM_V_CCLD)$(LINK) $(test_compat_OBJECTS) $(test_compat_LDADD) $(LIBS)
    607 
    608 test_config-file$(EXEEXT): $(test_config_file_OBJECTS) $(test_config_file_DEPENDENCIES) $(EXTRA_test_config_file_DEPENDENCIES) 
    609 	@rm -f test_config-file$(EXEEXT)
    610 	$(AM_V_CCLD)$(LINK) $(test_config_file_OBJECTS) $(test_config_file_LDADD) $(LIBS)
    611 
    612 test_connection$(EXEEXT): $(test_connection_OBJECTS) $(test_connection_DEPENDENCIES) $(EXTRA_test_connection_DEPENDENCIES) 
    613 	@rm -f test_connection$(EXEEXT)
    614 	$(AM_V_CCLD)$(LINK) $(test_connection_OBJECTS) $(test_connection_LDADD) $(LIBS)
    615 
    616 test_onion$(EXEEXT): $(test_onion_OBJECTS) $(test_onion_DEPENDENCIES) $(EXTRA_test_onion_DEPENDENCIES) 
    617 	@rm -f test_onion$(EXEEXT)
    618 	$(AM_V_CCLD)$(LINK) $(test_onion_OBJECTS) $(test_onion_LDADD) $(LIBS)
    619 
    620 test_socks5$(EXEEXT): $(test_socks5_OBJECTS) $(test_socks5_DEPENDENCIES) $(EXTRA_test_socks5_DEPENDENCIES) 
    621 	@rm -f test_socks5$(EXEEXT)
    622 	$(AM_V_CCLD)$(LINK) $(test_socks5_OBJECTS) $(test_socks5_LDADD) $(LIBS)
    623 
    624 test_utils$(EXEEXT): $(test_utils_OBJECTS) $(test_utils_DEPENDENCIES) $(EXTRA_test_utils_DEPENDENCIES) 
    625 	@rm -f test_utils$(EXEEXT)
    626 	$(AM_V_CCLD)$(LINK) $(test_utils_OBJECTS) $(test_utils_LDADD) $(LIBS)
    627 
    628 mostlyclean-compile:
    629 	-rm -f *.$(OBJEXT)
    630 
    631 distclean-compile:
    632 	-rm -f *.tab.c
    633 
    634 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_compat.Po@am__quote@ # am--include-marker
    635 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_config-file.Po@am__quote@ # am--include-marker
    636 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_connection.Po@am__quote@ # am--include-marker
    637 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_onion.Po@am__quote@ # am--include-marker
    638 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_socks5.Po@am__quote@ # am--include-marker
    639 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_utils.Po@am__quote@ # am--include-marker
    640 
    641 $(am__depfiles_remade):
    642 	@$(MKDIR_P) $(@D)
    643 	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
    644 
    645 am--depfiles: $(am__depfiles_remade)
    646 
    647 .c.o:
    648 @am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
    649 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
    650 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
    651 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    652 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
    653 
    654 .c.obj:
    655 @am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
    656 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
    657 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
    658 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    659 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
    660 
    661 .c.lo:
    662 @am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
    663 @am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
    664 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
    665 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    666 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
    667 
    668 mostlyclean-libtool:
    669 	-rm -f *.lo
    670 
    671 clean-libtool:
    672 	-rm -rf .libs _libs
    673 
    674 ID: $(am__tagged_files)
    675 	$(am__define_uniq_tagged_files); mkid -fID $$unique
    676 tags: tags-am
    677 TAGS: tags
    678 
    679 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
    680 	set x; \
    681 	here=`pwd`; \
    682 	$(am__define_uniq_tagged_files); \
    683 	shift; \
    684 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
    685 	  test -n "$$unique" || unique=$$empty_fix; \
    686 	  if test $$# -gt 0; then \
    687 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    688 	      "$$@" $$unique; \
    689 	  else \
    690 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    691 	      $$unique; \
    692 	  fi; \
    693 	fi
    694 ctags: ctags-am
    695 
    696 CTAGS: ctags
    697 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
    698 	$(am__define_uniq_tagged_files); \
    699 	test -z "$(CTAGS_ARGS)$$unique" \
    700 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
    701 	     $$unique
    702 
    703 GTAGS:
    704 	here=`$(am__cd) $(top_builddir) && pwd` \
    705 	  && $(am__cd) $(top_srcdir) \
    706 	  && gtags -i $(GTAGS_ARGS) "$$here"
    707 cscopelist: cscopelist-am
    708 
    709 cscopelist-am: $(am__tagged_files)
    710 	list='$(am__tagged_files)'; \
    711 	case "$(srcdir)" in \
    712 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
    713 	  *) sdir=$(subdir)/$(srcdir) ;; \
    714 	esac; \
    715 	for i in $$list; do \
    716 	  if test -f "$$i"; then \
    717 	    echo "$(subdir)/$$i"; \
    718 	  else \
    719 	    echo "$$sdir/$$i"; \
    720 	  fi; \
    721 	done >> $(top_builddir)/cscope.files
    722 
    723 distclean-tags:
    724 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
    725 
    726 # Recover from deleted '.trs' file; this should ensure that
    727 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
    728 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
    729 # to avoid problems with "make -n".
    730 .log.trs:
    731 	rm -f $< $@
    732 	$(MAKE) $(AM_MAKEFLAGS) $<
    733 
    734 # Leading 'am--fnord' is there to ensure the list of targets does not
    735 # expand to empty, as could happen e.g. with make check TESTS=''.
    736 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
    737 am--force-recheck:
    738 	@:
    739 
    740 $(TEST_SUITE_LOG): $(TEST_LOGS)
    741 	@$(am__set_TESTS_bases); \
    742 	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
    743 	redo_bases=`for i in $$bases; do \
    744 	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
    745 	            done`; \
    746 	if test -n "$$redo_bases"; then \
    747 	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
    748 	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
    749 	  if $(am__make_dryrun); then :; else \
    750 	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
    751 	  fi; \
    752 	fi; \
    753 	if test -n "$$am__remaking_logs"; then \
    754 	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
    755 	       "recursion detected" >&2; \
    756 	elif test -n "$$redo_logs"; then \
    757 	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
    758 	fi; \
    759 	if $(am__make_dryrun); then :; else \
    760 	  st=0;  \
    761 	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
    762 	  for i in $$redo_bases; do \
    763 	    test -f $$i.trs && test -r $$i.trs \
    764 	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
    765 	    test -f $$i.log && test -r $$i.log \
    766 	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
    767 	  done; \
    768 	  test $$st -eq 0 || exit 1; \
    769 	fi
    770 	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
    771 	ws='[ 	]'; \
    772 	results=`for b in $$bases; do echo $$b.trs; done`; \
    773 	test -n "$$results" || results=/dev/null; \
    774 	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
    775 	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
    776 	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
    777 	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
    778 	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
    779 	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
    780 	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
    781 	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
    782 	  success=true; \
    783 	else \
    784 	  success=false; \
    785 	fi; \
    786 	br='==================='; br=$$br$$br$$br$$br; \
    787 	result_count () \
    788 	{ \
    789 	    if test x"$$1" = x"--maybe-color"; then \
    790 	      maybe_colorize=yes; \
    791 	    elif test x"$$1" = x"--no-color"; then \
    792 	      maybe_colorize=no; \
    793 	    else \
    794 	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
    795 	    fi; \
    796 	    shift; \
    797 	    desc=$$1 count=$$2; \
    798 	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
    799 	      color_start=$$3 color_end=$$std; \
    800 	    else \
    801 	      color_start= color_end=; \
    802 	    fi; \
    803 	    echo "$${color_start}# $$desc $$count$${color_end}"; \
    804 	}; \
    805 	create_testsuite_report () \
    806 	{ \
    807 	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
    808 	  result_count $$1 "PASS: " $$pass  "$$grn"; \
    809 	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
    810 	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
    811 	  result_count $$1 "FAIL: " $$fail  "$$red"; \
    812 	  result_count $$1 "XPASS:" $$xpass "$$red"; \
    813 	  result_count $$1 "ERROR:" $$error "$$mgn"; \
    814 	}; \
    815 	{								\
    816 	  echo "$(DEFAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
    817 	    $(am__rst_title);						\
    818 	  create_testsuite_report --no-color;				\
    819 	  echo;								\
    820 	  echo ".. contents:: :depth: 2";				\
    821 	  echo;								\
    822 	  for b in $$bases; do echo $$b; done				\
    823 	    | $(am__create_global_log);					\
    824 	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
    825 	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
    826 	if $$success; then						\
    827 	  col="$$grn";							\
    828 	 else								\
    829 	  col="$$red";							\
    830 	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
    831 	fi;								\
    832 	echo "$${col}$$br$${std}"; 					\
    833 	echo "$${col}Testsuite summary for $(DEFAGE_STRING)$${std}";	\
    834 	echo "$${col}$$br$${std}"; 					\
    835 	create_testsuite_report --maybe-color;				\
    836 	echo "$$col$$br$$std";						\
    837 	if $$success; then :; else					\
    838 	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
    839 	  if test -n "$(DEFAGE_BUGREPORT)"; then			\
    840 	    echo "$${col}Please report to $(DEFAGE_BUGREPORT)$${std}";	\
    841 	  fi;								\
    842 	  echo "$$col$$br$$std";					\
    843 	fi;								\
    844 	$$success || exit 1
    845 
    846 check-TESTS: 
    847 	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
    848 	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
    849 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
    850 	@set +e; $(am__set_TESTS_bases); \
    851 	log_list=`for i in $$bases; do echo $$i.log; done`; \
    852 	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
    853 	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
    854 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
    855 	exit $$?;
    856 recheck: all 
    857 	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
    858 	@set +e; $(am__set_TESTS_bases); \
    859 	bases=`for i in $$bases; do echo $$i; done \
    860 	         | $(am__list_recheck_tests)` || exit 1; \
    861 	log_list=`for i in $$bases; do echo $$i.log; done`; \
    862 	log_list=`echo $$log_list`; \
    863 	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
    864 	        am__force_recheck=am--force-recheck \
    865 	        TEST_LOGS="$$log_list"; \
    866 	exit $$?
    867 test_compat.log: test_compat$(EXEEXT)
    868 	@p='test_compat$(EXEEXT)'; \
    869 	b='test_compat'; \
    870 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    871 	--log-file $$b.log --trs-file $$b.trs \
    872 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    873 	"$$tst" $(AM_TESTS_FD_REDIRECT)
    874 test_config-file.log: test_config-file$(EXEEXT)
    875 	@p='test_config-file$(EXEEXT)'; \
    876 	b='test_config-file'; \
    877 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    878 	--log-file $$b.log --trs-file $$b.trs \
    879 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    880 	"$$tst" $(AM_TESTS_FD_REDIRECT)
    881 test_connection.log: test_connection$(EXEEXT)
    882 	@p='test_connection$(EXEEXT)'; \
    883 	b='test_connection'; \
    884 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    885 	--log-file $$b.log --trs-file $$b.trs \
    886 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    887 	"$$tst" $(AM_TESTS_FD_REDIRECT)
    888 test_onion.log: test_onion$(EXEEXT)
    889 	@p='test_onion$(EXEEXT)'; \
    890 	b='test_onion'; \
    891 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    892 	--log-file $$b.log --trs-file $$b.trs \
    893 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    894 	"$$tst" $(AM_TESTS_FD_REDIRECT)
    895 test_socks5.log: test_socks5$(EXEEXT)
    896 	@p='test_socks5$(EXEEXT)'; \
    897 	b='test_socks5'; \
    898 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    899 	--log-file $$b.log --trs-file $$b.trs \
    900 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    901 	"$$tst" $(AM_TESTS_FD_REDIRECT)
    902 test_utils.log: test_utils$(EXEEXT)
    903 	@p='test_utils$(EXEEXT)'; \
    904 	b='test_utils'; \
    905 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
    906 	--log-file $$b.log --trs-file $$b.trs \
    907 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
    908 	"$$tst" $(AM_TESTS_FD_REDIRECT)
    909 .test.log:
    910 	@p='$<'; \
    911 	$(am__set_b); \
    912 	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
    913 	--log-file $$b.log --trs-file $$b.trs \
    914 	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
    915 	"$$tst" $(AM_TESTS_FD_REDIRECT)
    916 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
    917 @am__EXEEXT_TRUE@	@p='$<'; \
    918 @am__EXEEXT_TRUE@	$(am__set_b); \
    919 @am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
    920 @am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
    921 @am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
    922 @am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
    923 
    924 distdir: $(BUILT_SOURCES)
    925 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
    926 
    927 distdir-am: $(DISTFILES)
    928 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    929 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    930 	list='$(DISTFILES)'; \
    931 	  dist_files=`for file in $$list; do echo $$file; done | \
    932 	  sed -e "s|^$$srcdirstrip/||;t" \
    933 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
    934 	case $$dist_files in \
    935 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
    936 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
    937 			   sort -u` ;; \
    938 	esac; \
    939 	for file in $$dist_files; do \
    940 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
    941 	  if test -d $$d/$$file; then \
    942 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
    943 	    if test -d "$(distdir)/$$file"; then \
    944 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
    945 	    fi; \
    946 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
    947 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
    948 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
    949 	    fi; \
    950 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
    951 	  else \
    952 	    test -f "$(distdir)/$$file" \
    953 	    || cp -p $$d/$$file "$(distdir)/$$file" \
    954 	    || exit 1; \
    955 	  fi; \
    956 	done
    957 check-am: all-am
    958 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
    959 check: check-am
    960 all-am: Makefile $(PROGRAMS) all-local
    961 installdirs:
    962 install: install-am
    963 install-exec: install-exec-am
    964 install-data: install-data-am
    965 uninstall: uninstall-am
    966 
    967 install-am: all-am
    968 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
    969 
    970 installcheck: installcheck-am
    971 install-strip:
    972 	if test -z '$(STRIP)'; then \
    973 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
    974 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
    975 	      install; \
    976 	else \
    977 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
    978 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
    979 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
    980 	fi
    981 mostlyclean-generic:
    982 	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
    983 	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
    984 	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
    985 
    986 clean-generic:
    987 
    988 distclean-generic:
    989 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
    990 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
    991 
    992 maintainer-clean-generic:
    993 	@echo "This command is intended for maintainers to use"
    994 	@echo "it deletes files that may require special tools to rebuild."
    995 clean: clean-am
    996 
    997 clean-am: clean-generic clean-libtool clean-local clean-noinstPROGRAMS \
    998 	mostlyclean-am
    999 
   1000 distclean: distclean-am
   1001 		-rm -f ./$(DEPDIR)/test_compat.Po
   1002 	-rm -f ./$(DEPDIR)/test_config-file.Po
   1003 	-rm -f ./$(DEPDIR)/test_connection.Po
   1004 	-rm -f ./$(DEPDIR)/test_onion.Po
   1005 	-rm -f ./$(DEPDIR)/test_socks5.Po
   1006 	-rm -f ./$(DEPDIR)/test_utils.Po
   1007 	-rm -f Makefile
   1008 distclean-am: clean-am distclean-compile distclean-generic \
   1009 	distclean-tags
   1010 
   1011 dvi: dvi-am
   1012 
   1013 dvi-am:
   1014 
   1015 html: html-am
   1016 
   1017 html-am:
   1018 
   1019 info: info-am
   1020 
   1021 info-am:
   1022 
   1023 install-data-am:
   1024 
   1025 install-dvi: install-dvi-am
   1026 
   1027 install-dvi-am:
   1028 
   1029 install-exec-am:
   1030 
   1031 install-html: install-html-am
   1032 
   1033 install-html-am:
   1034 
   1035 install-info: install-info-am
   1036 
   1037 install-info-am:
   1038 
   1039 install-man:
   1040 
   1041 install-pdf: install-pdf-am
   1042 
   1043 install-pdf-am:
   1044 
   1045 install-ps: install-ps-am
   1046 
   1047 install-ps-am:
   1048 
   1049 installcheck-am:
   1050 
   1051 maintainer-clean: maintainer-clean-am
   1052 		-rm -f ./$(DEPDIR)/test_compat.Po
   1053 	-rm -f ./$(DEPDIR)/test_config-file.Po
   1054 	-rm -f ./$(DEPDIR)/test_connection.Po
   1055 	-rm -f ./$(DEPDIR)/test_onion.Po
   1056 	-rm -f ./$(DEPDIR)/test_socks5.Po
   1057 	-rm -f ./$(DEPDIR)/test_utils.Po
   1058 	-rm -f Makefile
   1059 maintainer-clean-am: distclean-am maintainer-clean-generic
   1060 
   1061 mostlyclean: mostlyclean-am
   1062 
   1063 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
   1064 	mostlyclean-libtool
   1065 
   1066 pdf: pdf-am
   1067 
   1068 pdf-am:
   1069 
   1070 ps: ps-am
   1071 
   1072 ps-am:
   1073 
   1074 uninstall-am:
   1075 
   1076 .MAKE: check-am install-am install-strip
   1077 
   1078 .PHONY: CTAGS GTAGS TAGS all all-am all-local am--depfiles check \
   1079 	check-TESTS check-am clean clean-generic clean-libtool \
   1080 	clean-local clean-noinstPROGRAMS cscopelist-am ctags ctags-am \
   1081 	distclean distclean-compile distclean-generic \
   1082 	distclean-libtool distclean-tags distdir dvi dvi-am html \
   1083 	html-am info info-am install install-am install-data \
   1084 	install-data-am install-dvi install-dvi-am install-exec \
   1085 	install-exec-am install-html install-html-am install-info \
   1086 	install-info-am install-man install-pdf install-pdf-am \
   1087 	install-ps install-ps-am install-strip installcheck \
   1088 	installcheck-am installdirs maintainer-clean \
   1089 	maintainer-clean-generic mostlyclean mostlyclean-compile \
   1090 	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
   1091 	recheck tags tags-am uninstall uninstall-am
   1092 
   1093 .PRECIOUS: Makefile
   1094 
   1095 
   1096 all-local:
   1097 	@if [ x"$(srcdir)" != x"$(builddir)" ]; then \
   1098 		for script in $(EXTRA_DIST); do \
   1099 			cp -rf $(srcdir)/$$script $(builddir); \
   1100 		done; \
   1101 	fi
   1102 
   1103 # Force remove here so make sure EXTRA_DIST does not contain something like
   1104 # /usr. ;)
   1105 clean-local:
   1106 	@if [ x"$(srcdir)" != x"$(builddir)" ]; then \
   1107 		for script in $(EXTRA_DIST); do \
   1108 			rm -rf $(builddir)/$$script; \
   1109 		done; \
   1110 	fi
   1111 
   1112 # Tell versions [3.59,3.63) of GNU make to not export all variables.
   1113 # Otherwise a system limit (for SysV at least) may be exceeded.
   1114 .NOEXPORT: